: Class ResourceDescription

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.serialization
Class ResourceDescription

    java.lang.Object
      |
      +--org.w3c.tools.resources.serialization.ResourceDescription

Direct Known Subclasses:
  EmptyDescription

public class ResourceDescription
extends java.lang.Object

Constructor Summary
`ResourceDescription(Resource resource)` Constructor.
`ResourceDescription(java.lang.String classname)` Constructor.

Method Summary
`AttributeDescription[]` | `getAttributeDescriptions()` Get the attributes description.
`java.lang.String[]` | `getChildren()` get the children identifiers
`java.lang.String[]` | `getClassesAndInterfaces()`
`java.lang.String[]` | `getClassHierarchy()` Get this resource class hierarchy.
`java.lang.String` | `getClassName()` Get the resource Class name.
`ResourceDescription` | `getClone(AttributeDescription[] attrs)` Get a clone of this resource description but with only the given list of attribute descriptions.
`ResourceDescription[]` | `getFrameDescriptions()` Get the description of the frames associated to this resource.
`java.lang.String` | `getIdentifier()` Get the resource identifier.
`java.lang.String[]` | `getInterfaces()` Get this resource interfaces
`void` | `setAttributeDescriptions(java.util.Vector attrs)` Set the attributes description of the resource
`void` | `setChildren(java.lang.String[] children)` Set the children names.
`void` | `setClassHierarchy(java.lang.String[] classes)` Set the resource class hierarchy.
`void` | `setClassHierarchy(java.util.Vector vclasses)` Set the resource class hierarchy.
`void` | `setInterfaces(java.lang.String[] interfaces)` Set the resource class hierarchy.
`void` | `setInterfaces(java.util.Vector vinterfaces)` Set the resource class hierarchy.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceDescription

    public ResourceDescription(Resource resource)

  Constructor.
  Parameters:
    `resource` - the resource to describe.

### ResourceDescription

    public ResourceDescription(java.lang.String classname)

  Constructor.
  Parameters:
    `classname` - the resource class name

Method Detail

### getClone

    public ResourceDescription getClone(AttributeDescription[] attrs)

  Get a clone of this resource description but with only the given list of attribute descriptions.
  Parameters:
    `attrs` - the new attribute descriptions
  Returns:
    a ResourceDescription;

### getClassHierarchy

    public java.lang.String[] getClassHierarchy()

  Get this resource class hierarchy.
  Returns:
    a String array

### getInterfaces

    public java.lang.String[] getInterfaces()

  Get this resource interfaces
  Returns:
    a String array

### getClassesAndInterfaces

    public java.lang.String[] getClassesAndInterfaces()

### getClassName

    public java.lang.String getClassName()

  Get the resource Class name.
  Returns:
    a String

### getIdentifier

    public java.lang.String getIdentifier()

  Get the resource identifier.
  Returns:
    a String instance

### getChildren

    public java.lang.String[] getChildren()

  get the children identifiers
  Returns:
    a String array

### setChildren

    public void setChildren(java.lang.String[] children)

  Set the children names.
  Parameters:
    `a` - String array

### getAttributeDescriptions

    public AttributeDescription[] getAttributeDescriptions()

  Get the attributes description.
  Returns:
    an AttributeDescription array
  See Also:
    `AttributeDescription`

### getFrameDescriptions

    public ResourceDescription[] getFrameDescriptions()

  Get the description of the frames associated to this resource.
  Returns:
    a ResourceDescription array.

### setAttributeDescriptions

    public void setAttributeDescriptions(java.util.Vector attrs)

  Set the attributes description of the resource
  Parameters:
    `a` - Vector of AttributeDescription instances

### setClassHierarchy

    public void setClassHierarchy(java.lang.String[] classes)

  Set the resource class hierarchy.
  Parameters:
    `a` - String array

### setInterfaces

    public void setInterfaces(java.lang.String[] interfaces)

  Set the resource class hierarchy.
  Parameters:
    `a` - String array

### setClassHierarchy

    public void setClassHierarchy(java.util.Vector vclasses)

  Set the resource class hierarchy.
  Parameters:
    `a` - Vector of String instances

### setInterfaces

    public void setInterfaces(java.util.Vector vinterfaces)

  Set the resource class hierarchy.
  Parameters:
    `a` - Vector of String instances

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD